Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface SessionHandler

All Known Implementing Classes:
  HttpSessionHandler, LegacySessionHandler, MuleSessionHandler, NullSessionHandler, SerializeAndEncodeSessionHandler, SerializeOnlySessionHandler, SimpleSessionHandler

    public interface SessionHandler

An interface used for reading and writing session information to and from the current message.

Method Summary
`String` | `getSessionIDKey()` Deprecated. This method is no longer needed and will be removed in the next major release
`MuleSession` | `retrieveSessionInfoFromMessage(MuleMessage message)`
`void` | `retrieveSessionInfoFromMessage(MuleMessage message, MuleSession session)` Deprecated. Use retrieveSessionInfoFromMessage(MuleMessage message) instead
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Method Detail

### storeSessionInfoToMessage

    void storeSessionInfoToMessage(MuleSession session,
                                   MuleMessage message)
                                   throws MuleException

  Throws:
    `MuleException`

### retrieveSessionInfoFromMessage

    @Deprecated
    void retrieveSessionInfoFromMessage(MuleMessage message,
                                                   MuleSession session)
                                        throws MuleException

  Deprecated. Use retrieveSessionInfoFromMessage(MuleMessage message) instead

  Throws:
    `MuleException`

### retrieveSessionInfoFromMessage

    MuleSession retrieveSessionInfoFromMessage(MuleMessage message)
                                               throws MuleException

  Throws:
    `MuleException`

### getSessionIDKey

    @Deprecated
    String getSessionIDKey()

  Deprecated. This method is no longer needed and will be removed in the next major release

  The property name of the session id to use when creating the Mule session. by default the property name "ID" will be used. If no property was set on the session called "ID" a session id will be automatically generated

  Returns:
    the property name of the session id that is set on the session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.